System.ServiceModel 4.0.0.0 System.Object

This class is used to encode and decode the content of the security context token when a binding with message security that uses a stateful security context token is used. crabout stateful security context tokens, see How To: Create a Stateful Security Context Token for a Secure Session topic.

Microsoft’s version of is . It uses Microsoft’s Windows Data Protection (DPAPI) technology to encrypt/decrypt the cookie. You can plug in a different mechanism for encrypting and decrypting cookies by implementing this class.

The encoding of the security state must ensure that the state is signed and encrypted for the service.

This class is used by the server when sending the security state as a cookie in the SecurityContextToken issued to the client.

An example implementation of this class is an X509CertificateSecurityStateEncoder that uses the service's certificate to sign and encrypt the security state.

An abstract class that can be implemented to encode the security state.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Byte[] `` To be added.

  Decodes the security state.

  A byte array that represents the security state.

  Security data.
- Method
  4.0.0.0
  System.Byte[] `` To be added.

  Encodes the security state.

  A byte array that results from encoding the security state.

  The security state data.